<?php
/**
 * Clase Base Bean para BasePlaEmpresaColaboradorLogBN
 *
 * @package    Sedapal
 * @subpackage BasePlaEmpresaColaboradorLogBN
 * @author     Willy
 * @version    SVN:: BasePlaEmpresaColaboradorLogBN.class.php,v 1.1 2022-07-23 14:30:15 william.taype Exp $
 */
abstract class BasePlaEmpresaColaboradorLogBN
{
  protected $IdEmpresaColLog;
  protected $IdEmpresa;
  protected $IdColaborador;
  protected $FechaCreacion;
  protected $UsuarioCreacion;
  protected $FechaRegistro;
  protected $UsuarioRegistro;
  protected $Mensaje;
  protected $Error;

  public function getIdEmpresaColLog(){
    return $this->IdEmpresaColLog;
  }
  public function setIdEmpresaColLog($v1){
    $this->IdEmpresaColLog = $v1; 
  }

  public function getIdEmpresa(){
    return $this->IdEmpresa;
  }
  public function setIdEmpresa($v1){
    $this->IdEmpresa = $v1; 
  }

  public function getIdColaborador(){
    return $this->IdColaborador;
  }
  public function setIdColaborador($v1){
    $this->IdColaborador = $v1; 
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v1){
    $this->FechaCreacion = $v1; 
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v1){
    $this->UsuarioCreacion = $v1; 
  }

  public function getFechaRegistro(){
    return $this->FechaRegistro;
  }
  public function setFechaRegistro($v1){
    $this->FechaRegistro = $v1; 
  }

  public function getUsuarioRegistro(){
    return $this->UsuarioRegistro;
  }
  public function setUsuarioRegistro($v1){
    $this->UsuarioRegistro = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Pla_empresa_colaborador_logBN desde un RecordSet */
  public static function retrieveByRs( $o_Pla_empresa_colaborador_logRs )
  {
    $o_PlaEmpresaColaboradorLogBN = new PlaEmpresaColaboradorLogBN();
    $o_PlaEmpresaColaboradorLogBN->setIdEmpresaColLog( $o_Pla_empresa_colaborador_logRs['IdEmpresaColLog'] );
    $o_PlaEmpresaColaboradorLogBN->setIdEmpresa( $o_Pla_empresa_colaborador_logRs['IdEmpresa'] );
    $o_PlaEmpresaColaboradorLogBN->setIdColaborador( $o_Pla_empresa_colaborador_logRs['IdColaborador'] );
    $o_PlaEmpresaColaboradorLogBN->setFechaCreacion( $o_Pla_empresa_colaborador_logRs['FechaCreacion'] );
    $o_PlaEmpresaColaboradorLogBN->setUsuarioCreacion( $o_Pla_empresa_colaborador_logRs['UsuarioCreacion'] );
    $o_PlaEmpresaColaboradorLogBN->setFechaRegistro( $o_Pla_empresa_colaborador_logRs['FechaRegistro'] );
    $o_PlaEmpresaColaboradorLogBN->setUsuarioRegistro( $o_Pla_empresa_colaborador_logRs['UsuarioRegistro'] );
    return $o_PlaEmpresaColaboradorLogBN;
  }
}